Как импортировать node_modules в Laravel?

При импорте из dependencies (package.json) пакета "startbootstrap-sb-admin-2" выдает ошибку.
Код
window.Popper = require('popper.js').default;
window.$ = window.jQuery = require('jquery');

require('bootstrap');
require('startbootstrap-sb-admin-2');
...

Ошибка
5d665e926bbc4302904010.png


Вопрос, как правильно импортировать пакеты из node_modules в laravel ?
  • Вопрос задан
  • 242 просмотра
Пригласить эксперта
Ответы на вопрос 1
Sanasol
@Sanasol Куратор тега JavaScript
нельзя просто так взять и загуглить ошибку
require('startbootstrap-sb-admin-2');

Что вы этим пытаетесь сделать? Как это хотя бы в теории должно было сработать?
Там целый шаблон с кучей html файлов и своим сборщиком, по сути просто html/css/js сайт.
Т.е. вы пытаетесь сделать require('папка-с-каким-то-сайтом'); в вашу сборку JS скриптов, и что должно произойти, админка появиться автоматически вместо вашего сайта?


To begin using this template, choose one of the following options to get started:

Download the latest release on Start Bootstrap
Install via npm: npm i startbootstrap-sb-admin-2
Clone the repo: git clone https://github.com/BlackrockDigital/startbootstrap...
Fork, Clone, or Download on GitHub


Там целых 4 варианта установки, вы выбрали самый костыльный и не знаете что с этим делать. Попробуйте другой.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы